export declare class PendingPromiseStore {
    private pending;
    private counter;
    add(promise: Promise<any>, resolve?: (value: any) => void): string;
    awaitPending(keys: string[]): Promise<void>;
    awaitAll(): Promise<void>;
    clear(): void;
}
